src/Entity/Member.php
<?php

namespace App\Entity;

use App\Repository\MemberRepository;
use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;
use Symfony\Bridge\Doctrine\Validator\Constraints\UniqueEntity;
use Symfony\Component\Security\Core\User\PasswordAuthenticatedUserInterface;
use Symfony\Component\Security\Core\User\UserInterface;

#[ORM\Entity(repositoryClass: MemberRepository::class)]
#[UniqueEntity(fields: ['nametag'], message: 'There is already an account with this nametag')]
class Member implements UserInterface, PasswordAuthenticatedUserInterface
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\Column(length: 255)]
    private ?string $nametag = null;

    #[ORM\Column(length: 255)]
    private ?string $mail = null;

    #[ORM\Column]
    private array $roles = [];

    #[ORM\Column(length: 255)]
    private ?string $name = null;

    #[ORM\Column(length: 255)]
    private ?string $Firstname = null;

    #[ORM\OneToMany(mappedBy: 'member', targetEntity: Comment::class, orphanRemoval: true)]
    private Collection $comments;

    #[ORM\Column]
    private ?string $password = null;

    #[ORM\OneToMany(mappedBy: 'member', targetEntity: Report::class, orphanRemoval: true)]
    private Collection $reports;

    #[ORM\OneToMany(mappedBy: 'member', targetEntity: Contact::class, orphanRemoval: true)]
    private Collection $contacts;

    #[ORM\OneToMany(mappedBy: 'member', targetEntity: Artwork::class, orphanRemoval: true)]
    private Collection $artworks;

    #[ORM\OneToMany(mappedBy: 'member', targetEntity: SocialNetwork::class, orphanRemoval: true)]
    private Collection $socialNetworks;

    #[ORM\OneToOne(mappedBy: 'member', cascade: ['persist', 'remove'])]
    private ?Biography $biography = null;

    #[ORM\ManyToMany(targetEntity: Artwork::class, mappedBy: 'likes')]
    private Collection $artwork;


    public function __construct()
    {
        $this->comments = new ArrayCollection();
        $this->reports = new ArrayCollection();
        $this->contacts = new ArrayCollection();
        $this->artworks = new ArrayCollection();
        $this->socialNetworks = new ArrayCollection();
        $this->artwork = new ArrayCollection();
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getNametag(): ?string
    {
        return $this->nametag;
    }

    public function setNametag(string $nametag): static
    {
        $this->nametag = $nametag;

        return $this;
    }

    public function getPassword(): ?string
    {
        return $this->password;
    }

    public function setPassword(string $password): static
    {
        $this->password = $password;

        return $this;
    }

    public function getMail(): ?string
    {
        return $this->mail;
    }

    public function setMail(string $mail): static
    {
        $this->mail = $mail;

        return $this;
    }
    /**
     * A visual identifier that represents this user.
     *
     * @see UserInterface
     */
    public function getUserIdentifier(): string
    {
        return (string) $this->mail;
    }

    /**
     * @see UserInterface
     */
    public function getRoles(): array
    {
        $roles = $this->roles;
        // guarantee every user at least has ROLE_USER
        $roles[] = 'ROLE_USER';

        return array_unique($roles);
    }

    public function setRoles(array $roles): static
    {
        $this->roles = $roles;

        return $this;
    }
    public function getName(): ?string
    {
        return $this->name;
    }

    public function setName(string $name): static
    {
        $this->name = $name;

        return $this;
    }



    /**
     * @see UserInterface
     */
    public function eraseCredentials(): void
    {
        // If you store any temporary, sensitive data on the user, clear it here
        // $this->plainPassword = null;
    }

    public function getFirstname(): ?string
    {
        return $this->Firstname;
    }

    public function setFirstname(string $Firstname): static
    {
        $this->Firstname = $Firstname;

        return $this;
    }

    /**
     * @return Collection<int, Comment>
     */
    public function getComments(): Collection
    {
        return $this->comments;
    }

    public function addComment(Comment $comment): static
    {
        if (!$this->comments->contains($comment)) {
            $this->comments->add($comment);
            $comment->setMember($this);
        }

        return $this;
    }

    public function removeComment(Comment $comment): static
    {
        if ($this->comments->removeElement($comment)) {
            // set the owning side to null (unless already changed)
            if ($comment->getMember() === $this) {
                $comment->setMember(null);
            }
        }

        return $this;
    }

    /**
     * @return Collection<int, Report>
     */
    public function getReports(): Collection
    {
        return $this->reports;
    }

    public function addReport(Report $report): static
    {
        if (!$this->reports->contains($report)) {
            $this->reports->add($report);
            $report->setMember($this);
        }

        return $this;
    }

    public function removeReport(Report $report): static
    {
        if ($this->reports->removeElement($report)) {
            // set the owning side to null (unless already changed)
            if ($report->getMember() === $this) {
                $report->setMember(null);
            }
        }

        return $this;
    }

    /**
     * @return Collection<int, Contact>
     */
    public function getContacts(): Collection
    {
        return $this->contacts;
    }

    public function addContact(Contact $contact): static
    {
        if (!$this->contacts->contains($contact)) {
            $this->contacts->add($contact);
            $contact->setMember($this);
        }

        return $this;
    }

    public function removeContact(Contact $contact): static
    {
        if ($this->contacts->removeElement($contact)) {
            // set the owning side to null (unless already changed)
            if ($contact->getMember() === $this) {
                $contact->setMember(null);
            }
        }

        return $this;
    }

    /**
     * @return Collection<int, Artwork>
     */
    public function getArtworks(): Collection
    {
        return $this->artworks;
    }

    public function addArtwork(Artwork $artwork): static
    {
        if (!$this->artworks->contains($artwork)) {
            $this->artworks->add($artwork);
            $artwork->setMember($this);
        }

        return $this;
    }

    public function removeArtwork(Artwork $artwork): static
    {
        if ($this->artworks->removeElement($artwork)) {
            // set the owning side to null (unless already changed)
            if ($artwork->getMember() === $this) {
                $artwork->setMember(null);
            }
        }

        return $this;
    }

    /**
     * @return Collection<int, SocialNetwork>
     */
    public function getSocialNetworks(): Collection
    {
        return $this->socialNetworks;
    }

    public function addSocialNetwork(SocialNetwork $socialNetwork): static
    {
        if (!$this->socialNetworks->contains($socialNetwork)) {
            $this->socialNetworks->add($socialNetwork);
            $socialNetwork->setMember($this);
        }

        return $this;
    }

    public function removeSocialNetwork(SocialNetwork $socialNetwork): static
    {
        if ($this->socialNetworks->removeElement($socialNetwork)) {
            // set the owning side to null (unless already changed)
            if ($socialNetwork->getMember() === $this) {
                $socialNetwork->setMember(null);
            }
        }

        return $this;
    }

    public function getBiography(): ?Biography
    {
        return $this->biography;
    }

    public function setBiography(?Biography $biography): static
    {
        // unset the owning side of the relation if necessary
        if ($biography === null && $this->biography !== null) {
            $this->biography->setMember(null);
        }

        // set the owning side of the relation if necessary
        if ($biography !== null && $biography->getMember() !== $this) {
            $biography->setMember($this);
        }

        $this->biography = $biography;

        return $this;
    }

    /**
     * @return Collection<int, Artwork>
     */
    public function getArtwork(): Collection
    {
        return $this->artwork;
    }

}

templates/admin-interface/add-faq.html.twig
{% extends 'layouts/admin.html.twig' %}

{% block title %}interface d'administration - Faq{% endblock %}

{% block newstylesheets %}{% endblock %}

{% block body %}
    {% if is_granted('ROLE_ADMIN') %}
        <!-- affiche le contenu de la page si l'utilisateur connécté est un administrateur -->
        <!-- Tableau -->
        <div class="table">
            <table>
                <thead>
                <tr>
                    <!-- Entête du tableau -->
                    <th>Id</th>
                    <th>Question</th>
                    <th>Response</th>

                    <!-- Colonnes d'actions -->
                    <th class="update-icon">Update</th>
                    <th class="delete-icon">Delete</th>
                </tr>
                </thead>
                <tbody>
                <!-- affichage des élément de la db -->

                {% for entity in entities %}
                    <tr>
                        <td>{{ entity.id }}</td>
                        <td>{{ entity.question }}</td>
                        <td>{{ entity.response }}</td>


                        <!-- Colonnes d'actions -->
                        <td class="update-icon">
                            <!-- Lien ou bouton pour la modification -->
                            <a href="{{ path('update_faq',{ 'id' : entity.id }) }}"><i class="bi bi-gear"></i></a>
                        </td>
                        <!-- Lien ou bouton pour la suppression -->
                        <td class="delete-icon">
                            <a href="{{ path('delete_faq',{ 'id' : entity.id }) }}"><i class="bi bi-trash"></i></a>
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
        <div class="form-faq">
        {{ form(faqForm) }}
        </div>
    {% else %}
        <!-- affiche un message d'erreur si l'utilisateur n'est pas un administrateur -->
        <div class="error_box">
            <h1 class="error_message"><span
                        class="mark_message">Vous n'avez pas l'autorisation d'accéder à cette page.</span> Cette action
                requiert des droits d'administration. Si vous pensez qu'il s'agit d'une erreur, veuillez contacter
                l'administrateur du site pour obtenir de l'aide.</h1>
        </div>
    {% endif %}
{% endblock %}

templates/admin-interface/admin-interface.html.twig
{% extends 'base.html.twig' %}

{% block title %}Interface d'administration{% endblock %}

{% block stylesheets %}
    <!-- inclut la feuille de style spécifique a la page -->
    <link href="{{ asset('assets/css/admin.css') }}" rel="stylesheet">
{% endblock %}

{% block body %}
    {% if is_granted('ROLE_ADMIN') %}
        <!-- affiche le contenu de la page si l'utilisateur connécté est un administrateur -->
        <section>
            <div class="admin-content-box">
                <!-- affichage du titre -->
                <h1>Interface d'administration</h1>

                <hr class="hr-line">
                <!-- affichage des élément bouton de gestion du site -->
                <div class="admin-content">
                    <!-- boutton d'administration -->
                    <div class="admin-button-box">
                        <a href="{{ path('member') }}">
                            <div class="button">
                                Member
                            </div>
                        </a>
                        <!-- boutton d'administration -->
                        <a href="{{ path('category') }}">
                            <div class="button">
                                Category
                            </div>
                        </a>
                        <!-- boutton d'administration -->
                        <a href="{{ path('show_artwork') }}">
                            <div class="button">
                                Artwork
                            </div>
                        </a>
                        <!-- boutton d'administration -->
                        <a href="{{ path('comment') }}">
                            <div class="button">
                                Comment
                            </div>
                        </a>
                        <!-- boutton d'administration -->
                        <a href="{{ path('report_message') }}">
                        <div class="button">
                                Report
                            </div>
                        </a>
                        <!-- boutton d'administration -->
                        <a href="{{ path('add_faq') }}">
                            <div class="button">
                                FAQ
                            </div>
                        </a>
                        <!-- boutton d'administration -->
                        <a href="{{ path('photo') }}">
                            <div class="button">
                                Photo
                            </div>
                        </a>
                        <!-- boutton d'administration -->
                        <a href="{{ path('contact_message') }}">
                            <div class="button">
                                Contact
                            </div>
                        </a>

                    </div>
                </div>
            </div>


        </section>
    {% else %}
        <!-- affiche un message d'erreur si l'utilisateur n'est pas un administrateur -->
        <div class="error_box">
            <h1 class="error_message"><span
                        class="mark_message">Vous n'avez pas l'autorisation d'accéder à cette page.</span> Cette action
                requiert des droits d'administration. Si vous pensez qu'il s'agit d'une erreur, veuillez contacter
                l'administrateur du site pour obtenir de l'aide.</h1>
        </div>
    {% endif %}
{% endblock %}

templates/admin-interface/artwork.html.twig
{% extends 'layouts/admin.html.twig' %}

{% block title %}interface d'administration - Artwork{% endblock %}


{% block body %}
    {% if is_granted('ROLE_ADMIN') %}
        <!-- affiche le contenu de la page si l'utilisateur connécté est un administrateur -->
        <!-- Tableau -->
        <div class="table">
            <table>
                <thead>
                <tr>
                    <!-- Entête du tableau -->
                    <th>Id</th>
                    <th>title</th>
                    <th>Date</th>
                    <th>Image ID</th>

                    <!-- Colonnes d'actions -->
                    <th class="delete-icon">Delete</th>
                </tr>
                </thead>
                <tbody>
                <!-- affichage des élément de la db -->

                {% for entity in entities %}
                    <tr>
                        <td>{{ entity.id }}</td>
                        <td>{{ entity.artworktitle }}</td>
                        <td>{{ entity.creationdatestring }}</td>
                        <td>
                            {% if entity.photo is not null %}
                                {{ entity.photo.id }}
                            {% endif %}
                        </td>

                        <!-- Colonnes d'actions -->
                        <!-- Lien ou bouton pour la suppression-->
                        <td class="delete-icon">
                            <a href="{{ path('delete_artwork',{ 'id' : entity.id }) }}"><i class="bi bi-trash"></i></a>
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
    {% else %}
        <!-- affiche un message d'erreur si l'utilisateur n'est pas un administrateur -->
        <div class="error_box">
            <h1 class="error_message"><span
                        class="mark_message">Vous n'avez pas l'autorisation d'accéder à cette page.</span> Cette action
                requiert des droits d'administration. Si vous pensez qu'il s'agit d'une erreur, veuillez contacter
                l'administrateur du site pour obtenir de l'aide.</h1>
        </div>
    {% endif %}
{% endblock %}

templates/admin-interface/category.html.twig
{% extends 'layouts/admin.html.twig' %}

{% block title %}interface d'administration - Categorie{% endblock %}

{% block body %}
    {% if is_granted('ROLE_ADMIN') %}
        <!-- affiche le contenu de la page si l'utilisateur connécté est un administrateur -->
        <!-- Tableau -->
        <div class="table">
            <table>
                <thead>
                <tr>
                    <!-- Entête du tableau -->
                    <th>Id</th>
                    <th>category name</th>

                    <!-- Colonnes d'actions -->
                    <th class="update-icon">Update</th>
                    <th class="delete-icon">Delete</th>
                </tr>
                </thead>
                <tbody>
                <!-- affichage des élément de la db -->

                {% for entity in entities %}
                    <tr>
                        <td>{{ entity.id }}</td>
                        <td>{{ entity.categoryname }}</td>

                        <!-- Colonnes d'actions -->
                        <td class="update-icon">
                            <!-- Lien ou bouton pour la modification, remplacez  -->
                            <a href="{{ path('update_category', { 'id' : entity.id })}}"><i class="bi bi-gear"></i></a>
                        </td>
                        <!-- Lien ou bouton pour la suppression, remplacez  -->
                        <td class="delete-icon">
                            <a href="{{ path('delete_category', { 'id' : entity.id })}}"><i class="bi bi-trash"></i></a>
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
        {{ form(categoryForm) }}
    {% else %}
        <!-- affiche un message d'erreur si l'utilisateur n'est pas un administrateur -->
        <div class="error_box">
            <h1 class="error_message"><span
                        class="mark_message">Vous n'avez pas l'autorisation d'accéder à cette page.</span> Cette action
                requiert des droits d'administration. Si vous pensez qu'il s'agit d'une erreur, veuillez contacter
                l'administrateur du site pour obtenir de l'aide.</h1>
        </div>
    {% endif %}
{% endblock %}

templates/admin-interface/comment.html.twig
{% extends 'layouts/admin.html.twig' %}

{% block title %}interface d'administration - Artwork{% endblock %}


{% block body %}
    {% if is_granted('ROLE_ADMIN') %}
        <!-- affiche le contenu de la page si l'utilisateur connécté est un administrateur -->
        <!-- Tableau -->
        <div class="table">
            <table>
                <thead>
                <tr>
                    <!-- Entête du tableau -->
                    <th>Id</th>
                    <th>member ID</th>
                    <th>Artwork ID</th>
                    <th>Date</th>
                    <th>commentary</th>

                    <!-- Colonnes d'actions -->
                    <th class="delete-icon">Delete</th>
                </tr>
                </thead>
                <tbody>
                <!-- affichage des élément de la db -->

                {% for entity in entities %}
                    <tr>
                        <td>{{ entity.id }}</td>
                        <td>
                            {% if entity.member is not null %}
                                {{ entity.member.id }}
                            {% endif %}
                        </td>
                        <td>
                            {% if entity.artwork is not null %}
                                {{ entity.artwork.id }}
                            {% endif %}
                        </td>
                        <td>{{ entity.datestring }}</td>
                        <td>{{ entity.commentary }}</td>


                        <!-- Colonnes d'actions -->
                        <!-- Lien ou bouton pour la suppression -->
                        <td class="delete-icon">
                            <a href="{{ path('delete_comment', { 'id' : entity.id })}}"><i class="bi bi-trash"></i></a>
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
    {% else %}
        <!-- affiche un message d'erreur si l'utilisateur n'est pas un administrateur -->
        <div class="error_box">
            <h1 class="error_message"><span
                        class="mark_message">Vous n'avez pas l'autorisation d'accéder à cette page.</span> Cette action
                requiert des droits d'administration. Si vous pensez qu'il s'agit d'une erreur, veuillez contacter
                l'administrateur du site pour obtenir de l'aide.</h1>
        </div>
    {% endif %}
{% endblock %}

templates/admin-interface/contact.html.twig
{% extends 'layouts/admin.html.twig' %}

{% block title %}interface d'administration - Contact{% endblock %}


{% block body %}
    {% if is_granted('ROLE_ADMIN') %}
        <!-- affiche le contenu de la page si l'utilisateur connécté est un administrateur -->
        <!-- Tableau -->
        <div class="table">
            <table>
                <thead>
                <tr>
                    <!-- Entête du tableau -->
                    <th>Id</th>
                    <th>member ID</th>
                    <th>Name</th>
                    <th>E-mail</th>
                    <th>Subject</th>
                    <th>Message</th>
                    <th>Date</th>


                    <!-- Colonnes d'actions -->
                    <th class="delete-icon">Delete</th>
                </tr>
                </thead>
                <tbody>
                <!-- affichage des élément de la db -->

                {% for entity in entities %}
                    <tr>
                        <td>{{ entity.id }}</td>
                        <td>
                            {% if entity.member is not null %}
                                {{ entity.member.id }}
                            {% endif %}
                        </td>
                        <td>{{ entity.name }}</td>
                        <td>{{ entity.email }}</td>
                        <td>{{ entity.subject }}</td>
                        <td>{{ entity.message }}</td>
                        <td>{{ entity.datestring }}</td>

                        <!-- Colonnes d'actions -->
                        <!-- Lien ou bouton pour la suppression -->
                        <td class="delete-icon">
                            <a href="{{ path('delete_contact', { 'id' : entity.id })}}"><i class="bi bi-trash"></i></a>
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
    {% else %}
        <!-- affiche un message d'erreur si l'utilisateur n'est pas un administrateur -->
        <div class="error_box">
            <h1 class="error_message"><span
                        class="mark_message">Vous n'avez pas l'autorisation d'accéder à cette page.</span> Cette action
                requiert des droits d'administration. Si vous pensez qu'il s'agit d'une erreur, veuillez contacter
                l'administrateur du site pour obtenir de l'aide.</h1>
        </div>
    {% endif %}

{% endblock %}

templates/admin-interface/member.html.twig
{% extends 'layouts/admin.html.twig' %}

{% block title %}interface d'administration - membre{% endblock %}


{% block body %}
    {% if is_granted('ROLE_ADMIN') %}
        <!-- affiche le contenu de la page si l'utilisateur connécté est un administrateur -->
        <!-- Tableau -->
        <div class="table">
            <table>
                <thead>
                <tr>
                    <!-- Entête du tableau -->
                    <th>Id</th>
                    <th>Nametag</th>
                    <th>Password</th>
                    <th>E-mail</th>
                    <th>Name</th>
                    <th>Firstname</th>
                    <th>Roles</th>

                    <!-- Colonnes d'actions -->
                    <th class="update-icon">Update</th>
                    <th class="delete-icon">Delete</th>
                </tr>
                </thead>
                <tbody>
                <!-- affichage des élément de la db -->

                {% for entity in entities %}
                    <tr>
                        <td>{{ entity.id }}</td>
                        <td>{{ entity.nametag }}</td>
                        <td>{{ entity.password }}</td>
                        <td>{{ entity.mail }}</td>
                        <td>{{ entity.name }}</td>
                        <td>{{ entity.firstname }}</td>
                        <td>{{ entity.roles | join(', ') }}</td>

                        <!-- Colonnes d'actions -->
                        <td class="update-icon">
                            <!-- Lien ou bouton pour la modification -->
                            <a href="{{ path('update_admin', { 'id' : entity.id })}}"><i class="bi bi-gear"></i></a>
                        </td>
                        <!-- Lien ou bouton pour la suppression -->
                        <td class="delete-icon">
                            <a href="{{ path('delete_member', { 'id' : entity.id })}}"><i class="bi bi-trash"></i></a>
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
        {% include 'includes/flash-message.html.twig' %}


    {% else %}
        <!-- affiche un message d'erreur si l'utilisateur n'est pas un administrateur -->
        <div class="error_box">
            <h1 class="error_message"><span
                        class="mark_message">Vous n'avez pas l'autorisation d'accéder à cette page.</span> Cette action
                requiert des droits d'administration. Si vous pensez qu'il s'agit d'une erreur, veuillez contacter
                l'administrateur du site pour obtenir de l'aide.</h1>
        </div>
    {% endif %}
{% endblock %}

templates/admin-interface/photo.html.twig
{% extends 'layouts/admin.html.twig' %}

{% block title %}interface d'administration - Photos{% endblock %}

{% block body %}
    {% if is_granted('ROLE_ADMIN') %}
        <!-- affiche le contenu de la page si l'utilisateur connécté est un administrateur -->
        <!-- Tableau -->
        <div class="table">
            <table>
                <thead>
                <tr>
                    <!-- Entête du tableau -->
                    <th>Id</th>
                    <th>picture-path</th>
                    <th>Original name image</th>

                    <!-- Colonnes d'actions -->
                    <th class="delete-icon">Delete</th>
                </tr>
                </thead>
                <tbody>
                <!-- affichage des élément de la db -->

                {% for entity in entities %}
                    <tr>
                        <td>{{ entity.id }}</td>
                        <td>{{ entity.path }}</td>
                        <td>{{ entity.picture }}</td>

                        <!-- Colonnes d'actions -->
                        <!-- Lien ou bouton pour la suppression -->
                        <td class="delete-icon">
                            <a href="{{ path('delete_photo', { 'id' : entity.id })}}"><i class="bi bi-trash"></i></a>
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
    {% else %}
        <!-- affiche un message d'erreur si l'utilisateur n'est pas un administrateur -->
        <div class="error_box">
            <h1 class="error_message"><span
                        class="mark_message">Vous n'avez pas l'autorisation d'accéder à cette page.</span> Cette action
                requiert des droits d'administration. Si vous pensez qu'il s'agit d'une erreur, veuillez contacter
                l'administrateur du site pour obtenir de l'aide.</h1>
        </div>
    {% endif %}
{% endblock %}

templates/admin-interface/report.html.twig
{% extends 'layouts/admin.html.twig' %}

{% block title %}interface d'administration - Artwork{% endblock %}


{% block body %}
    {% if is_granted('ROLE_ADMIN') %}
        <!-- affiche le contenu de la page si l'utilisateur connécté est un administrateur -->

        <!-- Tableau -->
        <div class="table">
            <table>
                <thead>
                <tr>
                    <!-- Entête du tableau -->
                    <th>Id</th>
                    <th>member ID</th>
                    <th>Artwork ID</th>
                    <th>subject</th>
                    <th>message</th>

                    <!-- Colonnes d'actions -->
                    <th class="delete-icon">Delete</th>
                </tr>
                </thead>
                <tbody>
                <!-- affichage des élément de la db -->
                {% for entity in entities %}
                    <tr>
                        <td>{{ entity.id }}</td>
                        <td>
                            {% if entity.member is not null %}
                                {{ entity.member.id }}
                            {% endif %}
                        </td>
                        <td>
                            {% if entity.artwork is not null %}
                                {{ entity.artwork.id }}
                            {% endif %}
                        </td>
                        <td>{{ entity.reportsubject }}</td>
                        <td>{{ entity.reportmessage }}</td>

                        <!-- Colonnes d'actions -->
                        <!-- Lien ou bouton pour la suppression -->
                        <td class="delete-icon">
                            <a href="{{ path('delete_report', { 'id' : entity.id })}}"><i class="bi bi-trash"></i></a>
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
    {% else %}
        <!-- affiche un message d'erreur si l'utilisateur n'est pas un administrateur -->
        <div class="error_box">
            <h1 class="error_message"><span
                        class="mark_message">Vous n'avez pas l'autorisation d'accéder à cette page.</span> Cette action
                requiert des droits d'administration. Si vous pensez qu'il s'agit d'une erreur, veuillez contacter
                l'administrateur du site pour obtenir de l'aide.</h1>
        </div>
    {% endif %}
{% endblock %}